net.sf.jasperreports.export

## Class SimpleCsvMetadataReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleCsvReportConfiguration
      - - net.sf.jasperreports.export.SimpleCsvMetadataReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, CsvMetadataReportConfiguration, CsvReportConfiguration, ReportExportConfiguration

      public class SimpleCsvMetadataReportConfiguration
      extends SimpleCsvReportConfiguration
      implements CsvMetadataReportConfiguration

  Version:
    $Id: SimpleCsvMetadataExporterConfiguration.java 6720 2013-11-11 10:44:07Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.CsvMetadataReportConfiguration

      `PROPERTY_COLUMN_NAMES_PREFIX, PROPERTY_WRITE_HEADER`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCsvMetadataReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getColumnNames()` Returns an array of strings representing the comma-separated names of the columns that should be exported.
    `java.lang.Boolean` | `isWriteHeader()` Returns a boolean that specifies whether the export header (the column names) should be written or not.
    `void` | `setColumnNames(java.lang.String[] columnNames)`
    `void` | `setWriteHeader(java.lang.Boolean isWriteHeader)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleCsvMetadataReportConfiguration

          public SimpleCsvMetadataReportConfiguration()

  - ### Method Detail

    - #### isWriteHeader

          public java.lang.Boolean isWriteHeader()

      Description copied from interface: `CsvMetadataReportConfiguration`
      Returns a boolean that specifies whether the export header (the column names) should be written or not.
      Specified by:
        `isWriteHeader` in interface `CsvMetadataReportConfiguration`
      See Also:
        `CsvMetadataReportConfiguration.PROPERTY_WRITE_HEADER`

    - #### setWriteHeader

          public void setWriteHeader(java.lang.Boolean isWriteHeader)

    - #### getColumnNames

          public java.lang.String[] getColumnNames()

      Description copied from interface: `CsvMetadataReportConfiguration`
      Returns an array of strings representing the comma-separated names of the columns that should be exported.

      NOTE: The order of the columns is important and, for accurate results, they should be in the same order as the original columns.

      Specified by:
        `getColumnNames` in interface `CsvMetadataReportConfiguration`
      See Also:
        `CsvMetadataReportConfiguration.PROPERTY_COLUMN_NAMES_PREFIX`

    - #### setColumnNames

          public void setColumnNames(java.lang.String[] columnNames)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com